#include <stdio.h>
#include <string.h>
#include "functions.h"

int main(){
	int a=2, b=4;
	char s[10]="pippo";
	char s2[128];
	int arr[10] = { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 };

	
	/* Somma di due interi 
	 * a = a+b-1; */
	printf("main: chiamata a somma(%d, %d)\n", a, b);
	printf("main: risultato della chiamata: %d\n", somma(a,b));
	a=somma(a,b)-1;

	/* Somma di un array */
	a=asomma(arr,10);
	printf("main: asomma(arr,10)=%d\n", a);

	/* Lunghezza di una stringa:
	  valori: [ 'p', 'i', 'p', 'p', 'o', '\0' ] 
	  indici:    0    1    2    3    4     5
	*/
	printf("Lunghezza di \"pippo\": %d\n", (int)strlen(s));

	/* Inversione di una stringa */
	scanf("%s", &s2[0]);
	reverse(s2);
	printf("%s\n", s2);
	return 0;
}

